Any Fresh Install of MQM should have only these build : MQM 701 + Rollup1 + HF993211.

Because HF993211 contains cumulative hotfixes post Rollup1